## qpwgraph-v0.8.1.tar.bz2

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 3.15)

project(qpwgraph
  VERSION 0.8.1
  DESCRIPTION "A PipeWire Graph Qt GUI Interface"
  HOMEPAGE_URL "https://gitlab.freedesktop.org/rncbc/qpwgraph"
  LANGUAGES C CXX)

set (PROJECT_COPYRIGHT "Copyright (C) 2021-2024, rncbc aka Rui Nuno Capela. All rights reserved.")
set (PROJECT_DOMAIN    "rncbc.org")

execute_process (
  COMMAND git describe --tags --dirty --abbrev=6
  WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
  OUTPUT_VARIABLE GIT_DESCRIBE_OUTPUT
  RESULT_VARIABLE GIT_DESCRIBE_RESULT
  OUTPUT_STRIP_TRAILING_WHITESPACE)
if (GIT_DESCRIBE_RESULT EQUAL 0)
  set (GIT_VERSION "${GIT_DESCRIBE_OUTPUT}")
  string (REGEX REPLACE "^[^0-9]+" "" GIT_VERSION "${GIT_VERSION}")
  string (REGEX REPLACE "-g"   "git." GIT_VERSION "${GIT_VERSION}")
  string (REGEX REPLACE "[_|-]"   "." GIT_VERSION "${GIT_VERSION}")
  execute_process (
    COMMAND git rev-parse --abbrev-ref HEAD
    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
    OUTPUT_VARIABLE GIT_REVPARSE_OUTPUT
    RESULT_VARIABLE GIT_REVPARSE_RESULT
    OUTPUT_STRIP_TRAILING_WHITESPACE)
  if (GIT_REVPARSE_RESULT EQUAL 0 AND NOT GIT_REVPARSE_OUTPUT STREQUAL "main")
    set (GIT_VERSION "${GIT_VERSION} [${GIT_REVPARSE_OUTPUT}]")
  endif ()
  set (PROJECT_VERSION "${GIT_VERSION}")
endif ()


if (CMAKE_BUILD_TYPE MATCHES "Debug")
  set (CONFIG_DEBUG 1)
  set (CONFIG_BUILD_TYPE "debug")
else ()
  set (CONFIG_DEBUG 0)
  set (CONFIG_BUILD_TYPE "release")
  set (CMAKE_BUILD_TYPE "Release")
endif ()


# Enable ALSA MIDI support option.
option (CONFIG_ALSA_MIDI "Enable ALSA MIDI support (default=yes)" 1)

# Enable system-tray icon support option.
option (CONFIG_SYSTEM_TRAY "Enable system-tray icon support (default=yes)" 1)

# Enable Wayland support option.
option (CONFIG_WAYLAND "Enable Wayland support (EXPERIMENTAL) (default=no)" 0)

# Enable Qt6 build preference.
option (CONFIG_QT6 "Enable Qt6 build (default=yes)" 1)


include (GNUInstallDirs)

# Check for Qt...
if (CONFIG_QT6)
  find_package (Qt6 QUIET)
  if (NOT Qt6_FOUND)
    set (CONFIG_QT6 0)
  endif ()
endif ()

if (CONFIG_QT6)
  find_package (QT QUIET NAMES Qt6)
else ()
  find_package (QT QUIET NAMES Qt5)
endif ()

find_package (Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Core Gui Widgets Xml Svg)

if (CONFIG_SYSTEM_TRAY)
  find_package (Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Network)
endif ()


add_subdirectory (src)


# Configuration status
macro (SHOW_OPTION text value)
  if (${value})
    message ("${text}: yes")
  else ()
    message ("${text}: no")
  endif ()
endmacro ()

message   ("\n  ${PROJECT_NAME} ${PROJECT_VERSION} (Qt ${QT_VERSION})")
message   ("\n  Build target . . . . . . . . . . . . . . . . . . .: ${CONFIG_BUILD_TYPE}\n")
show_option ("  ALSA MIDI support  . . . . . . . . . . . . . . . ." CONFIG_ALSA_MIDI)
show_option ("  System-tray icon support . . . . . . . . . . . . ." CONFIG_SYSTEM_TRAY)
message   ("\n  Install prefix . . . . . . . . . . . . . . . . . .: ${CMAKE_INSTALL_PREFIX}\n")

=== debian/changelog ===
qpwgraph (0.8.1-46.1) unstable; urgency=low

  * An end-of-year'24 beta release.

 -- Rui Nuno Capela <rncbc@rncbc.org>  Fri, 27 Dec 2024 18:00:00 +0000

qpwgraph (0.8.0-45.1) unstable; urgency=low

  * A mid-autumn'24 beta release.

 -- Rui Nuno Capela <rncbc@rncbc.org>  Thu, 14 Nov 2024 20:00:00 +0000

qpwgraph (0.7.9-44.1) unstable; urgency=low

  * An autumn'24 beta release.

 -- Rui Nuno Capela <rncbc@rncbc.org>  Mon, 28 Oct 2024 18:00:00 +0000

qpwgraph (0.7.8-43.1) unstable; urgency=low

  * An end-of-summer'24 beta release.

 -- Rui Nuno Capela <rncbc@rncbc.org>  Thu, 19 Aug 2024 12:00:00 +0100

qpwgraph (0.7.7-42.1) unstable; urgency=low

  * A mid-summer'24 beta release.

 -- Rui Nuno Capela <rncbc@rncbc.org>  Wed, 21 Sep 2024 18:00:00 +0100

qpwgraph (0.7.5-41.1) unstable; urgency=low

  * A summer'24 beta release.

 -- Rui Nuno Capela <rncbc@rncbc.org>  Fri, 12 Jul 2024 18:00:00 +0100

qpwgraph (0.7.4-40.1) unstable; urgency=low

  * An early-summer'24 hot-fix release.

 -- Rui Nuno Capela <rncbc@rncbc.org>  Fri, 28 Jun 2024 18:00:00 +0100

qpwgraph (0.7.3-39.1) unstable; urgency=low

  * An early-summer'24 beta release.

 -- Rui Nuno Capela <rncbc@rncbc.org>  Sat, 22 Jun 2024 12:00:00 +0100

qpwgraph (0.7.2-38.1) unstable; urgency=low

  * A mid-spring'24 beta release.

 -- Rui Nuno Capela <rncbc@rncbc.org>  Sun, 12 May 2024 12:00:00 +0100

qpwgraph (0.7.1-37.1) unstable; urgency=low

  * A spring'24 beta release hot-fix.

 -- Rui Nuno Capela <rncbc@rncbc.org>  Thu, 25 Apr 2024 12:00:00 +0100

qpwgraph (0.7.0-36.1) unstable; urgency=low

  * A spring'24 beta release.

 -- Rui Nuno Capela <rncbc@rncbc.org>  Mon, 22 Apr 2024 18:00:00 +0100

qpwgraph (0.6.3-35.1) unstable; urgency=low

  * A good-friday'24 release.

 -- Rui Nuno Capela <rncbc@rncbc.org>  Fri, 29 Mar 2024 12:00:00 +0000

qpwgraph (0.6.2-34.1) unstable; urgency=low

  * A winter'24 release.

 -- Rui Nuno Capela <rncbc@rncbc.org>  Mon, 22 Jan 2024 18:00:00 +0000

qpwgraph (0.6.1-33.1) unstable; urgency=low

  * An end-of-autumn'23 release.

 -- Rui Nuno Capela <rncbc@rncbc.org>  Fri,  1 Dec 2023 22:00:00 +0000

qpwgraph (0.6.0-32.1) unstable; urgency=low

  * An autumn'23 release.

 -- Rui Nuno Capela <rncbc@rncbc.org>  Wed,  8 Nov 2023 18:00:00 +0000

qpwgraph (0.5.3-31.1) unstable; urgency=low

  * An end-of-summer'23 release.

 -- Rui Nuno Capela <rncbc@rncbc.org>  Fri,  8 Sep 2023 18:00:00 +0100

qpwgraph (0.5.2-30.1) unstable; urgency=low

  * A high-summer'23 release.

 -- Rui Nuno Capela <rncbc@rncbc.org>  Sat,  5 Aug 2023 16:00:00 +0100

qpwgraph (0.5.1-29.1) unstable; urgency=low

  * A summer'23 hot-fix release.

 -- Rui Nuno Capela <rncbc@rncbc.org>  Mon, 17 Jul 2023 12:00:00 +0100

qpwgraph (0.5.0-28.1) unstable; urgency=low

  * Yet another summer'23 release.

 -- Rui Nuno Capela <rncbc@rncbc.org>  Sun, 16 Jul 2023 18:00:00 +0100

qpwgraph (0.4.5-27.1) unstable; urgency=low

  * A summer'23 release.

 -- Rui Nuno Capela <rncbc@rncbc.org>  Mon, 10 Jul 2023 18:00:00 +0100

qpwgraph (0.4.4-26.1) unstable; urgency=low

  * A late-spring'23 regression.

 -- Rui Nuno Capela <rncbc@rncbc.org>  Sun, 18 Jun 2023 12:00:00 +0100

qpwgraph (0.4.3-25.1) unstable; urgency=low

  * A late-spring'23 release.

 -- Rui Nuno Capela <rncbc@rncbc.org>  Sat, 17 Jun 2023 12:00:00 +0100

qpwgraph (0.4.2-24.1) unstable; urgency=low

  * An early-spring'23 release.

 -- Rui Nuno Capela <rncbc@rncbc.org>  Sun,  2 Apr 2023 12:00:00 +0100

qpwgraph (0.4.1-23.1) unstable; urgency=low

  * A late-winter'23 release.

 -- Rui Nuno Capela <rncbc@rncbc.org>  Fri,  3 Mar 2023 18:00:00 +0000

qpwgraph (0.4.0-22.1) unstable; urgency=low

  * A mid-winter'23 release.

 -- Rui Nuno Capela <rncbc@rncbc.org>  Sat, 25 Feb 2023 12:00:00 +0000

qpwgraph (0.3.9-21.1) unstable; urgency=low

  * An end-of-year'22 release.

 -- Rui Nuno Capela <rncbc@rncbc.org>  Tue, 27 Dec 2022 20:00:00 +0000

qpwgraph (0.3.8-20.1) unstable; urgency=low

  * A mid-autumn'22 release.

 -- Rui Nuno Capela <rncbc@rncbc.org>  Sat, 19 Nov 2022 12:00:00 +0000

qpwgraph (0.3.7-19.1) unstable; urgency=low

  * An autumn'22 release.

 -- Rui Nuno Capela <rncbc@rncbc.org>  Sat, 22 Oct 2022 12:00:00 +0100

qpwgraph (0.3.6-18.1) unstable; urgency=low

  * An early-autumn'22 release.

 -- Rui Nuno Capela <rncbc@rncbc.org>  Sat, 24 Sep 2022 12:00:00 +0100

qpwgraph (0.3.5-17.1) unstable; urgency=low

  * A thirteenth beta release.

 -- Rui Nuno Capela <rncbc@rncbc.org>  Sat, 20 Aug 2022 14:00:00 +0100

qpwgraph (0.3.4-16.1) unstable; urgency=low

  * A twelfth beta release.

 -- Rui Nuno Capela <rncbc@rncbc.org>  Fri,  8 Jul 2022 18:00:00 +0100

qpwgraph (0.3.3-15.1) unstable; urgency=low

  * An eleventh beta release.

 -- Rui Nuno Capela <rncbc@rncbc.org>  Wed,  6 Jul 2022 20:00:00 +0100

qpwgraph (0.3.2-14.1) unstable; urgency=low

  * A tenth beta release.

 -- Rui Nuno Capela <rncbc@rncbc.org>  Mon, 13 Jun 2022 10:00:00 +0100

qpwgraph (0.3.1-13.1) unstable; urgency=low

  * A ninth beta release.

 -- Rui Nuno Capela <rncbc@rncbc.org>  Sun, 29 May 2022 12:00:00 +0100

qpwgraph (0.3.0-12.1) unstable; urgency=low

  * An eighth beta release.

 -- Rui Nuno Capela <rncbc@rncbc.org>  Sat, 21 May 2022 12:00:00 +0100

qpwgraph (0.2.6-11.1) unstable; urgency=low

  * A seventh beta release.

 -- Rui Nuno Capela <rncbc@rncbc.org>  Sat, 23 Apr 2022 12:00:00 +0100

qpwgraph (0.2.5-10.1) unstable; urgency=low

  * A sixth beta release.

 -- Rui Nuno Capela <rncbc@rncbc.org>  Wed,  6 Apr 2022 18:00:00 +0100

qpwgraph (0.2.4-9.1) unstable; urgency=low

  * A fifth beta release.

 -- Rui Nuno Capela <rncbc@rncbc.org>  Sat, 19 Mar 2022 12:00:00 +0000

qpwgraph (0.2.3-8.1) unstable; urgency=low

  * A fourth beta release.

 -- Rui Nuno Capela <rncbc@rncbc.org>  Sat, 12 Mar 2022 12:00:00 +0000

qpwgraph (0.2.2-7.1) unstable; urgency=low

  * A thrice beta than before.

 -- Rui Nuno Capela <rncbc@rncbc.org>  Wed,  2 Mar 2022 18:00:00 +0000

qpwgraph (0.2.1-6.1) unstable; urgency=low



=== debian/control ===
Source: qpwgraph
Section: sound
Priority: optional
Maintainer: Rui Nuno Capela <rncbc@rncbc.org>
Build-Depends: debhelper (>= 11), cmake, pkg-config,
  build-essential, g++ (>= 8), g++-11 | g++-10 | g++-9 | g++-8,
  qt6-base-dev (>= 6.1) | qtbase5-dev (>= 5.1),
  qt6-base-dev-tools (>= 6.1) | qtbase5-dev-tools (>= 5.1),
  qt6-tools-dev (>= 6.1) | qttools5-dev (>= 5.1),
  qt6-tools-dev-tools (>= 6.1) | qttools5-dev-tools (>= 5.1),
  qt6-l10n-tools (>= 6.1)  | base-files (<< 12),
  qt6-svg-dev | libqt6svg6-dev | libqt5svg5-dev,
  libxkbcommon-dev, libgl-dev,
  libasound2-dev, libpipewire-0.3-dev
Standards-Version: 4.6.2
Rules-Requires-Root: no

Package: qpwgraph
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
  libqt6svg6 (>= 6.1) | libqt5svg5 (>= 5.1),
  qt6-qpa-plugins | base-files (<< 12)
Description: A PipeWire Graph Qt GUI Interface
  qpwgraph is a graph manager dedicated to PipeWire (https://pipewire.org),
  using the Qt C++ framework (https://qt.io), based and pretty much like the
  same of QjackCtl (https://qjackctl.sourceforge.io).

=== debian/rules ===
#!/usr/bin/make -f

export CXX_MAJOR_VERSION = $(shell g++ -dumpversion)
export CXX = $(shell \
	[ $(CXX_MAJOR_VERSION) -lt 8 ] && \
	  echo "/usr/bin/g++-8" || \
	  echo "/usr/bin/g++")

%:
	dh $@

override_dh_auto_configure:
	# Add here commands to configure the package.
	CXX=$(CXX) \
	cmake -DCMAKE_INSTALL_PREFIX=/usr -DCONFIG_ALSA_MIDI=ON .
	# --- end custom part for configure
